> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar pipeline por ID



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/pipelines/{id}
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/pipelines/{id}:
    get:
      tags:
        - Pipelines
      summary: Buscar pipeline por ID
      operationId: PipelinesV1Controller_getLead
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineCompleteDto'
      security:
        - access-token: []
components:
  schemas:
    PipelineCompleteDto:
      type: object
      properties:
        id:
          type: string
          example: 9c315181-85f2-4772-bd46-8b261599e382
          description: ID da pipeline.
        createdAt:
          format: date-time
          type: string
          example: '2025-09-09T16:25:16.727Z'
          description: Data de criação da pipeline.
        updatedAt:
          format: date-time
          type: string
          example: '2025-09-19T20:39:49.680Z'
          description: Data da última atualização da pipeline.
        deletedAt:
          format: date-time
          type: string
          example: null
          description: Data de exclusão da pipeline (se aplicável).
        name:
          type: string
          example: pipe 1
          description: Nome da pipeline.
        description:
          type: string
          example: Pipeline para gerenciamento de vendas online
          description: Descrição da pipeline.
        group:
          type: string
          example: Clientes recorrentes
          description: Grupo da pipeline.
        stagesCount:
          type: number
          example: 3
          description: Número de etapas na pipeline.
        permissions:
          example: true
          description: Permissões aplicadas na pipeline.
          allOf:
            - $ref: '#/components/schemas/PipelineAttendantPermissionsDto'
    PipelineAttendantPermissionsDto:
      type: object
      properties:
        id:
          type: string
          example: c5b65a1d-7b84-4b59-b1a0-7fcb1b6a67f0
          description: ID da permissão de atendente na pipeline.
        createdAt:
          format: date-time
          type: string
          example: '2025-09-09T16:25:16.727Z'
          description: Data de criação da permissão.
        attendant:
          description: Atendente associado à permissão.
          allOf:
            - $ref: '#/components/schemas/AttendantDto'
        pipelineId:
          type: string
          example: 9c315181-85f2-4772-bd46-8b261599e382
          description: ID da pipeline à qual a permissão está vinculada.
        disableAttendantChange:
          type: boolean
          example: false
          description: >-
            Valor booleano que indica se a o usuário não tem permissão para
            alterar o responsável por um negócio.
        disableDelete:
          type: boolean
          example: false
          description: >-
            Valor booleano que indica se a o usuário não tem permissão para
            excluir negócios.
        showOnlyMine:
          type: boolean
          example: true
          description: >-
            Valor booleano que indica se a o usuário tem permissão para ver
            negócios os quais ele não é atendente.
      required:
        - attendant
        - pipelineId
    AttendantDto:
      type: object
      properties:
        userId:
          type: string
          description: ID do usuário
          example: t9kn9mqPakdGG535GQK3hod8wzM2
        id:
          type: string
          description: ID do usuário como atendente (ID do atendente)
          example: 6807e48c25ece34f9f1ba7dd
        name:
          type: string
          description: Nome do atendente
          example: Joao Silva
        email:
          type: string
          description: Email do atendente
          example: joaosilva@gmail.com
        phone:
          type: string
          description: Telefone do atendente
          example: '5547991331190'
        imageURL:
          type: string
          description: Url da imagem do atendente
          example: >-
            https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````